Bug 1493545 - Enable initscripts' services by default
Summary: Enable initscripts' services by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: redhat-release
Version: 7.4
Hardware: All
OS: Linux
high
urgent
Target Milestone: rc
: ---
Assignee: Lubos Kocman
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 1466365 1357648 1395391
TreeView+ depends on / blocked
 
Reported: 2017-09-20 12:50 UTC by David Kaspar [Dee'Kej]
Modified: 2018-04-10 10:14 UTC (History)
9 users (show)

Fixed In Version: redhat-release-server-7.5-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1578870 (view as bug list)
Environment:
Last Closed: 2018-04-10 10:12:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:0700 None None None 2018-04-10 10:14:00 UTC
Red Hat Bugzilla 1553625 None CLOSED ifcfg files of bond+vlan device are incorrect when configured via network cmd in kickstart file 2019-07-28 12:34:59 UTC

Internal Links: 1553625

Description David Kaspar [Dee'Kej] 2017-09-20 12:50:16 UTC
Hello! :)

Description of problem:

Previously, the initscripts package was using symlinks to automatically "register" services that should be started when system boots up.

Nowadays, that should be managed by your package, via (if I'm not mistaken):
/usr/lib/systemd/system-preset/90-default.preset

We have fixed the initscripts to no longer use symlinks for these services:
https://github.com/fedora-sysv/initscripts/pull/128

Please, enable these services by default:
* brandbot.path
* rhel-autorelabel.service
* rhel-autorelable-mark.service
* rhel-configure.service
* rhel-dmesg.service
* rhel-import-state.service
* rhel-loadmodules.service
* rhel-readonly.service

More info:
These services were enabled by default by initscripts in previous versions of RHEL-7. In order to keep the OS stable for our customers, we want these services to still remain enabled, unless decided otherwise in some other BZ/process.

Short description of each service:
* brandbot - Enables flexible Red Hat branding for RHEL
* rhel-autorelabel - Relabels all filesystems if requested
* rhel-autorelable-mark - Marks the need to relabel after reboot
* rhel-configure - Reconfigures the system if requested
* rhel-dmesg - Dumps the dmesg into /var/log/dmesg
* rhel-domainname - Reads & set the NIS domain name (from /etc/sysconfig/network)
* rhel-import-state - Imports network configuration from initramfs
* rhel-loadmodules - Loads legacy modules' configuration
* rhel-readonly - Configures the read-only root support

Thank you! :)

  -- Dee'Kej --

Comment 2 David Kaspar [Dee'Kej] 2017-10-17 11:33:44 UTC
(In reply to David Kaspar [Dee'Kej] from comment #0)
> Please, enable these services by default:
> * brandbot.path
> * rhel-autorelabel.service
> * rhel-autorelable-mark.service
> * rhel-configure.service
> * rhel-dmesg.service
> * rhel-import-state.service
> * rhel-loadmodules.service
> * rhel-readonly.service

This list is missing one more service:
> * rhel-domainname.service

I have described it in the comment #0:
* rhel-domainname - Reads & set the NIS domain name (from /etc/sysconfig/network)

Comment 10 Peter Kotvan 2017-12-05 06:57:34 UTC
Hi, rhel-domainname.service is still disabled on RHEL-7.5-20171130.0 with redhat-release-server-7.5-3.el7. The other services are enabled and started as expected.

Comment 11 David Kaspar [Dee'Kej] 2017-12-05 11:46:37 UTC
(In reply to Peter Kotvan from comment #10)
> Hi, rhel-domainname.service is still disabled on RHEL-7.5-20171130.0 with
> redhat-release-server-7.5-3.el7. The other services are enabled and started
> as expected.

From the redhat-release-7.5-0.14.el7 package I can see this in 90-default.preset:
# https://bugzilla.redhat.com/show_bug.cgi?id=1493545
enable rhel-autorelabel.service
enable rhel-autorelable-mark.service
enable rhel-configure.service
enable rhel-dmesg.service
enable rhel-import-state.service
enable rhel-loadmodules.service
enable rhel-readonly.service

Indeed the rhel-domainname.service is missing here... Seems like my comment #2 was missed.

Comment 12 Lubos Kocman 2017-12-05 12:11:47 UTC
This could have been dropped with the rollback from redhat-release -> redhat-release-server.

I'll check it 

Lubos

Comment 13 Lubos Kocman 2018-02-07 16:47:48 UTC
Fixed sorry, will be in snap-3

Comment 18 errata-xmlrpc 2018-04-10 10:12:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:0700


Note You need to log in before you can comment on or make changes to this bug.